# Interface AsyncGeneratorFunction

#### Hierarchy

- AsyncGeneratorFunction

- AsyncGeneratorFunction(...args): AsyncGenerator<unknown, any, any>

- Creates a new AsyncGenerator object.

  #### Parameters

  - ##### `Rest` ...args: any[]

    A list of arguments the function accepts.

  #### Returns AsyncGenerator<unknown, any, any>

#####
Index

### Constructors

constructor

### Properties

length
name
prototype

## Constructors

### constructor

- new AsyncGeneratorFunction(...args): AsyncGenerator<unknown, any, any>

- Creates a new AsyncGenerator object.

  #### Parameters

  - ##### `Rest` ...args: any[]

    A list of arguments the function accepts.

  #### Returns AsyncGenerator<unknown, any, any>

## Properties

### `Readonly` length

length: number

The length of the arguments.

### `Readonly` name

name: string

Returns the name of the function.

### `Readonly` prototype

prototype: AsyncGenerator<unknown, any, any>

A reference to the prototype.

Generated using TypeDoc